::selection {
    background: var(--e-global-color-primary) !important;
    color: var(--e-global-color-d8fdd5a) !important;
}


/* Single Post */
.single_postdetails_head .post_title {
    font-weight: 300;
    color: var(--e-global-color-primary);
}
.single_postdetails_head .post_meta {
    margin-top: 32px;
}
.single_postdetails_head .featured_img img.wp-post-image {
    margin-top: 48px;
    width: 100%;
    height: 600px;
    object-fit: cover;
}
.post_meta {
    display: flex;
    align-items: center;
    column-gap: 30px;
    row-gap: 20px;
}
.post_meta .post_author, 
.post_meta .post_date {
    display: flex;
    align-items: center;
    column-gap: 8px;
}
span.meta_text {
    text-transform: capitalize;
    display: inline-block;
    font-size: 18px;
    font-weight: 400;
    line-height: 26px;
    padding-top: 1px;
}
.post_meta .post_author span.meta_text {
    color: var(--e-global-color-primary);
}
.post_author img {
    width: 40px;
    height: 40px;
    object-fit: cover;
    border-radius: 50%;
}
.post_date img {
    width: 24px;
    height: 24px;
    object-fit: contain;
}
.main_no {
    display: inline-block;
    color: var(--e-global-color-secondary);
    margin-right: 16px;
}
.sp_post_descriptions p a {
    color: var(--e-global-color-secondary);
    text-decoration: underline !important;
    text-decoration-skip-ink: none;
    text-underline-offset: auto;
    text-underline-position: from-font;
}
.sp_post_descriptions p a:hover {
    color: var(--e-global-color-primary);
}
.sp_post_descriptions p b, .sp_post_descriptions p strong {
    color: var(--e-global-color-primary);
    font-weight: 500 !important;
}
.flex_title .elementor-heading-title {
    display: flex;
}
p.no_foundtext {
    text-align: center;
    font-size: 18px;
    font-weight: 400;
    line-height: 26px;
    color: var(--e-global-color-text);
}

.sp_post_descriptions .para24 p:not(:last-child) {
    margin-bottom: 20px !important;
}
.sp_post_descriptions .site_btn .elementor-button-icon svg {width: 20px;}  
.site_btn span.elementor-button-text {line-height: normal;}

/* 2 Numbered / Bulleted Lists */
.post_list ol, 
.post_list ul {
    list-style: revert;
    padding: 0 0 0 20px;
    margin: 0;
}
.post_list ol li {
    padding-left: 8px;
}
.post_list li:not(:last-child){
    margin-bottom: 10px;
}
.post_list li::marker {
    color: var(--e-global-color-secondary);
    font-family: var(--pix-heading-font), sans-serif;
    font-weight: 700;
}
.checkmark ol, .checkmark ul, 
.crossmark ol, .crossmark ul {
    padding: 0;
    list-style: none;
}
.checkmark li, 
.crossmark li {
    position: relative;
    padding-left: 43px;
}
.checkmark li::before, 
.crossmark li::before {
    content: '';
    width: 27px;
    height: 27px;
    border-radius: 6px;
    padding: 5px;
    background: url('/wp-content/uploads/2024/11/checkmark.svg') no-repeat center / 17px;
    background-color: var(--e-global-color-db4419e);
    position: absolute;
    left: 0;
    top: 0;
}
.crossmark li::before {background-image: url('/wp-content/uploads/2024/11/crossmark.svg');}

/* 3 Table */
.sp_tablerow {border-bottom: 1px solid rgba(122, 122, 122, 0.10);}
.sp_tablerow:first-child {border-top: 1px solid rgba(122, 122, 122, 0.10);}
.sp_tablerow > * {
    border-left: 1px solid rgba(122, 122, 122, 0.10);
    border-right: 1px solid rgba(122, 122, 122, 0.10);
}
.sp_tablerow > *:not(:last-child) {border-right: none;}
/* .minwidth477 {
    min-width: 477px;
} */
.sp_table_wrapper::-webkit-scrollbar {
    height: 4px;
}
.sp_table_wrapper::-webkit-scrollbar-track {
    background: var(--e-global-color-db4419e);
}
.sp_table_wrapper::-webkit-scrollbar-thumb {
    background: rgba(173, 151, 110, 0.5);
    border-radius: 6px;
}

/* Scrollbar */
.sp_table_wrapper .sp_table.minwidth477 {
    padding-bottom: 20px;
    position: relative;
}
.sp_table_wrapper .mCustomScrollBox {position: static;}
.sp_table_wrapper .mCSB_inside > .mCSB_container {
    margin: 0 !important;
    width: 447px !important;
}
.sp_table_wrapper .mCSB_scrollTools.mCSB_scrollTools_horizontal {
    height: 4px;
    bottom: 0;
    background: #FFF4DF;
    border-radius: 4px;
}
.sp_table_wrapper .mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar {
    background-color: rgba(173, 151, 110, 0.5) !important;
    margin: 0 auto !important;
}
.sp_table_wrapper .mCSB_scrollTools.mCSB_scrollTools_horizontal .mCSB_draggerRail {margin: 0;}
/* Scrollbar */

/* Main Wrapper for Table */
.sp_table_wrapper {
    position: relative;
    overflow: hidden;
}


/*.sp_table_wrapper::after {
    content: '';
    position: absolute;
    bottom: 0; 
    left: 0;
    width: 100%;
    height: 2px; 
    background: var(--e-global-color-db4419e); 
    pointer-events: none; 
}*/

/*.sp_table_wrapper {
    scrollbar-width: thin; 
    scrollbar-color: rgba(173, 151, 110, 0.5) var(--e-global-color-db4419e); 
}*/

/* 4 Images */
.sp_fullimg figure.wp-caption {
    padding: 0;
    margin: 0;
}
.sp_fullimg figure.wp-caption .wp-caption-text {
    padding: 16px 0 0;
    margin: 0;
}

/* 5 Cards */
.blogicon .elementor-widget-container {
    border-radius: 50%;
    width: 63px;
    height: 63px !important;
    display: flex;
    align-items: center;
    justify-content: center;
}
.bordertop_gradient .elementor-widget-container {position: relative;}
.bordertop_gradient .elementor-widget-container::before {
    content: '';
    width: 100%;
    max-width: 238px;
    height: 1px;
    background: linear-gradient(90deg, #AD976E 0%, rgba(173, 151, 110, 0.00) 100%);
    position: absolute;
    left: 0;
    top: 0;
}
.site_btn .elementor-button-icon svg path {
    fill: currentColor;
}

/* 6 Show/Hide Blocks */
.sp_accordian .accordion-card .card {
    padding-bottom: 0px;
}
.sp_accordian .accordion-card {
    row-gap: 16px;
}
.sp_accordian .accordion-card .card {
    border: 1px solid rgba(122, 122, 122, 0.20) !important;
    /*padding: 16px 24px;*/
    transition: 0.3s linear;
}
.sp_accordian .accordion-card .card.card-active {
    border-color: #fff4df !important;
    box-shadow: none;
}
.sp_accordian .accordion-card .card.card-active .card-header button.btn {
    padding-bottom: 16px;
}
.sp_accordian .card .card-header button.btn {
    padding: 25px 24px 25px;
}

/* 7 Blocks/Grid */
.sp_social a.elementor-social-icon {
    color: var(--e-global-color-secondary);
    background: transparent;
}
.sp_social a.elementor-social-icon:hover {
    color: var(--e-global-color-primary);
}
.sp_social a.elementor-social-icon svg path {
    fill: currentColor;
}

@media (min-width: 1440px){
    .single_postdetails_head .post_title {
        line-height: 66px;
    }
    .sp_post_descriptions .para27 p:not(:last-child) {
        margin-bottom: 27px !important;
    }
    .sp_post_descriptions .para24 p:not(:last-child) {
        margin-bottom: 24px !important;
    }
    .sp_post_descriptions .para20 p:not(:last-child) {
        margin-bottom: 20px !important;
    }
    .post_list ol li::marker {line-height: 24px;}
}

@media (max-width: 1366px){
    .single_postdetails_head .featured_img img.wp-post-image {
        height: 520px;
        margin-top: 42px;
    }
    .single_postdetails_head .post_meta {
        margin-top: 28px;
    }
}

@media (max-width: 1200px){
    .single_postdetails_head .featured_img img.wp-post-image {
        height: 460px;
        margin-top: 36px;
    }

    .sp_accordian .accordion-card .card {padding: 16px 20px;}
}

@media (max-width: 1024px){
    .single_postdetails_head .featured_img img.wp-post-image {
        height: 380px;
        margin-top: 32px;
    }
    .single_postdetails_head .post_meta {
        margin-top: 24px;
    }
    .post_meta {
        column-gap: 16px;
        row-gap: 16px;
    }
    .post_author img {
        width: 28px;
        height: 28px;
    }
    .post_date img {
        width: 22px;
        height: 22px;
    }
    span.meta_text {
        font-size: 16px;
        line-height: 22px;
    }
    .main_no {
        margin-right: 12px;
    }

    /* 5 Cards */
    .blogicon .elementor-widget-container {
        width: 56px;
        height: 56px !important;
    }

    .sp_accordian .accordion-card .card {
        padding: 0px;
    }
    .sp_accordian .accordion-card .card.card-active .card-header button.btn {
        padding-bottom: 12px;
    }
    .sp_accordian .card .card-header button.btn {
        padding: 16px;
    }
    .sp_accordian .card .card-body {
        padding: 0px 16px 16px 16px;
    }
}

@media (max-width: 767px){
    .single_postdetails_head .featured_img img.wp-post-image {
        height: 320px;
        margin-top: 30px;
    }
    .single_postdetails_head .post_meta {
        margin-top: 18px;
    }
    .main_no {
        margin-right: 8px;
    }
    .mob_normal_fw {
        font-weight: 400 !important;
    }

    /* 2 Numbered / Bulleted Lists */
    .post_list ol, .post_list ul {
        padding: 0 0 0 15px;
    }
    .post_list ul {padding: 0;list-style: none;}
    .post_list ul li { position: relative;padding-left: 11px; }
    .post_list.checkmark ul li,
    .post_list.crossmark ul li { position: relative;padding-left: 24px; }
    .post_list ul li::before {
        content: '';
        position: absolute;
        left: 0;
        top: 7px;
        background: var(--e-global-color-secondary);
        width: 6px;
        height: 6px;
        border-radius: 50%;
    }
    .post_list.checkmark li::before, 
    .post_list.crossmark li::before {
        background: url(/wp-content/uploads/2024/11/checkmark.svg) no-repeat center / 8px;
        width: 16px;
        height: 16px;
        background-color: var(--e-global-color-db4419e);
        top: 2px;
        border-radius: 3px;
    }
    .post_list.crossmark li::before {
        background-image: url(/wp-content/uploads/2024/11/crossmark.svg);
    }
    .post_list ol li {
        padding-left: 2px;
    }
    .checkmark li, 
    .crossmark li {
        padding-left: 24px;
    }
    .checkmark li::before, 
    .crossmark li::before {
        content: '';
        width: 16px;
        height: 16px;
        border-radius: 3px;
        padding: 3px;
        background-size: 10px;
        top: 2px;
    }

    /* 4 Images */
    .sp_fullimg figure.wp-caption .wp-caption-text {
        max-width: 260px;
        margin-left: auto;
        margin-right: auto;
    }

    /* 5 Cards */
    .blogicon .elementor-widget-container {
        width: 50px;
        height: 50px !important;
    }
    .sp_btnrow .site_btn a.elementor-button, 
    .mobilefullwidth.site_btn a.elementor-button {
        width: 100%;
    }

    .sp_accordian .accordion-card {
        row-gap: 12px;
    }
    .sp_accordian .accordion-card .card.card-active .card-header button.btn {
        padding-bottom: 12px;
    }
    .sp_accordian .card .card-header button.btn {
        padding: 16px 16px 16px;
    }
    
}

@media (max-width: 575px){

    .single_postdetails_head .post_title {
        font-size: 28px;
        line-height: 36.4px;
        text-align: center;
    }
    .post_meta {
        justify-content: center;
        column-gap: 12px;
        row-gap: 12px;
    }
    .post_author img {
        width: 24px;
        height: 24px;
    }
    .post_date img {
        width: 20px;
        height: 20px;
    }
    span.meta_text {
        font-size: 14px;
        line-height: 20px;
    }
    .single_postdetails_head .post_meta {
        margin-top: 14px;
    }
    .single_postdetails_head .featured_img img.wp-post-image {
        height: 248px;
    }

    /* 3 Table */
    .sp_table_wrapper {
        box-shadow: 0px 20px 30px 0px rgba(29, 29, 27, 0.05);
        /* overflow-x: auto; */
        /* padding-bottom: 20px; */
    } 

}


@media (max-width: 768px) {

.sidebar_main{
    display: flex;
    flex-direction: row !important;
    padding-bottom: 50px;
    flex-wrap: wrap;
}
.allsidebar{
    /*padding-bottom: 50px;*/
    margin-bottom: 50px;
}
}